For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get payment method list

Retrieve available payment methods that can be used for placing new orders.

Get payment method list

get

Retrieve available payment methods that can be used for placing new orders.

If you want to add new payment method, please use hPanel.

Use this endpoint to view available payment options before creating orders.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
idintegerOptional

Payment method ID

Example: 6523
namestringOptionalExample: Credit Card
identifierstringOptionalExample: 1234*****6464
payment_methodstringOptionalExample: card
is_defaultbooleanOptionalExample: true
is_expiredbooleanOptionalExample: false
is_suspendedbooleanOptionalExample: false
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
expires_atstring · date-timeOptionalExample: 2025-03-27T11:54:22Z
suspended_atstring · date-time · nullableOptionalExample: 2025-03-28T11:54:22Z
get/api/billing/v1/payment-methods
GET /api/billing/v1/payment-methods HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 6523,
    "name": "Credit Card",
    "identifier": "1234*****6464",
    "payment_method": "card",
    "is_default": true,
    "is_expired": false,
    "is_suspended": false,
    "created_at": "2025-02-27T11:54:22Z",
    "expires_at": "2025-03-27T11:54:22Z",
    "suspended_at": "2025-03-28T11:54:22Z"
  }
]

Last updated

Was this helpful?